PLEASE JOIN MY DISCORD SERVER IF YOU HAVE ANY FEEDBACK https://discord.gg/JTpkA5heqJ that would be greatly appreciated thank u. also the server has a download for up to date versions of the mod with a more detailed changelog u should check it out

## Mod Overview
BalanceOverhaulRBO is a BALANCE MOD whose primary intent is to shift the balance and meta of Risk of Rain 2, away from excessive healing and mobility, and more towards "Effective Health" options like shield and armor. Additionally, many items have been adjusted (mostly with proc coefficient on Damaging On-Kill Effects), in hopes that it will greatly increase player involvement in longer runs where the game would otherwise be "automatically played" by their item setup.

Further, BORBO includes the addition of multiple new items, serving as a "means to an end" for balance purposes. This is primarily a BALANCE mod, so I will NOT be giving the option to use said items without the balance changes. 

In vanilla RoR2, the balance is often in a state such that taking a hit can mean either death happens instantly, or it is very easy to recover from it due to the high availability of healing. With the changes to the state of RoR2's balance, it is moreso punishing in the sense that recovery from taking a hit can be difficult and will often lead to death if you are not careful. Aggressive play is encouraged and supported through new defensive items and avenues. This means gameplay is generally more fair, but unforgiving.

Due to the nature of balancing for longer runs, this is a mod that is very difficult to playtest and balance for, so all feedback is greatly appreciated. Once again, if you have anything to say, then please join the discord server.

# Changes:
Each of these categories may be enabled/disabled together by config (in future versions), but not the individual changes within them


## State of Defense + Healing:

### Healing...
```
monster tooth max duration increased, healing amount reduced
medkit buff changed to be a debuff (can now be cleansed by blast shower, which gives heal immediately), healing amount reduced
harvesters scythe healing amount reduced
```

### Armor...
```
engineer stationary turret max health reduced because of armor items
titanic knurl changed to give bonus armor unconditionally on top of vanilla effects
rose buckler changed to give bonus armor unconditionally on top of vanilla effects
repulsion armor plating changed to give bonus armor unconditionally on top of vanilla effects
```

### Other...
```
tougher times dodge chance function is halved; now dodge chance is 60% as stacks approach infinity (stacking behavior is the same)
paul's goat hoof movespeed bonus reduced
energy drink movespeed bonus reduced
"pickup" radius increased
```

### Items...
```
added Cobalt Shield, Frozen Turtle Shell, Borbos Band
```


## State of Health:

### Health...
```
infusion max health bonus now scales +30% with level, like how regen items do; base max health reduced
(with these changes, infusion effectively acts like an addition to lv0 health and scaling health values)
psg bonus shield reduced
```

### Barrier...
```
topaz brooch barrier reduced
changed barrier to decay based on current barrier, not max
changed aegis to additionally slow down barrier decay rate
```

### Items...
```
added Flower Crown, AAAAAAA Battery, Utility Belt, Kinetic Engine
```


## State of Player Interaction:

### Autoplay...
```
ceremonial dagger projectile lifetime reduced
ceremonial dagger projectile proc coefficient reduced to 0
ceremonial dagger damage increased
willowisp blast radius increased
willowisp blast proc coefficient reduced to 0
willowisp blast damage increased
shatterspleen explosion proc coefficient reduced to 0
firework proc coefficient reduced to 0
resonance disc proc coefficient reduced
razorwire proc coefficient reduced
little disciple proc coefficient reduced
```
	
### Other...
```
lensmaker's glasses crit chance reduced
alien head cooldown reduction increased
"kit slow" debuff now also reduces attack speed of the afflicted
"chronobauble slow" debuff now also reduces attack speed of the afflicted
"cold slow" debuff now also reduces attack speed of the afflicted
clay templar attack speed increased to compensate for slow changes
```

### Items...
```
added Natures Gift, Volatile Fuse
```


## State of the Item Pool:
```
(CAN BE DISABLED VIA CONFIG) remove guillotine, gesture, tesla
```

## BORBO ADD-ON
(*this add-on for BORBO is what will be supported going forward - for all intents and purposes, consider all of the other changes 'deprecated.' As time passes, though, more of the old stuff will be remade for this new version)

```
	Old:
- added white items: Malware Stick
- added green items: AtG Mk3 (replaces mk1), Magic Quiver, Chefs Stache
- added red items: The New Lopper, Wicked Band, Permafrost
- the utility belt lockout will reset from bandolier + quiver utility procs
- pauldron/gorag buff now also increases damage
- reduced proc coeff of everything changed in original borbo fully down to 0 (new damage items are to help keep these viable, hopefully)
- jellynuke duration no longer scales with attack speed (so slows dont fuck with it)
- glowing meteorite has no falloff
- death mark fix
- fresh meat buff stacks
- jade elephant buff stacks, is 10s long, gives only 200 armor
- both bands now do 400% base damage and 150%(+150% per stack) total
- bands cooldown scales with special cooldown scale (not flat CDR) (open to feedback, could remove)
- reduced crowbar threshold
- ocular hud now PASSIVELY increases crit damage
- DEATH MARK FIIIIIIXXXXXXXXX
- added new language tokens for all ITEMS changed

	New:
- added green item: Golden Gun
- INCREASED chest cost scaling quite dramatically to be honest!!
- increased blood shrine gold reward to scale with chest costs (1 chest per health bar!)
- increased AWU base armor + added Adaptive Armor to compensate for increased chest costs (gold chests take much longer to farm for, and now so too does AWU)
- HALVED gold gain from T2 (malachite, celestine) elites
- ACTUALLY nerfed resonance disc proc coefficient; also nerfed the spin per kill and increased spin decay rate
- also nerfed proc coefficient of razorwire, tesla (if you have it enabled), nkuhanas opinion, and little disciple
- doubled nkuhanas opinion damage to compensate for healing nerfs
- reduced Genesis Loop proc coefficient to 0.3, damage to 2000% (no longer scales with attack speed either)
- sorted ADDON changes into config categories!
- foxed bug
```

# Lastly...

Known Issues:
```
- Almost nothing in this mod is balanced for use on enemies. The balance changes themselves should be mostly OK, but the items are likely going to be problematic, especially on Mithrix. MakeMithrixNotBS is a mod I would recommend to install.
- Again, this is a mod that is very hard to playtest for, so balance issues are very likely to appear.
- There are a good few bugs, none game breaking though.
- As long as the items dont have icons, they will not be available in StartingItemsGUI. If this is an issue people want to see fixed, i will make it a priority.
```

# Latest Ver:
- Updated Add-On

